### Constructor

# Vips Image sines

#### Declaration [src]

    int
    vips_sines (
      VipsImage** out,
      int width,
      int height,
      ...
    )

#### Description [src]

Creates a float one band image of the a sine waveform in two dimensions.

The number of horizontal and vertical spatial frequencies are determined by the variables `hfreq` and `vfreq` respectively. The function is useful for creating displayable sine waves and square waves in two dimensions.

If horfreq and verfreq are integers the resultant image is periodical and therefore the Fourier transform does not present spikes

Pixels are normally in [-1, +1], set `uchar` to output [0, 255].

Optional arguments

- `hfreq`: `gdouble`, horizontal frequency
- `vreq`: `gdouble`, vertical frequency
- `uchar`: `gboolean`, output a uchar image

See also

`vips_grey()`, `vips_xyz()`.

This constructor is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Image size.

`height`

  Type: `int`

  Image size.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.